Skip to content

Tasks

All operations require authentication.

2 operationsv1/vrack/{serviceName}
Agent setup

List tasks. Returns the identifiers of the tasks run on the vRack.Production

GET
/1.0/vrack/{serviceName}/task

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a task. Returns the function, status, target and dates of the task.Production

GET
/1.0/vrack/{serviceName}/task/{taskId}

Path parameters

serviceName
required
string

The internal name of your vrack

taskId
required
integer
—

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}